CREATE TABLE CRST_AP_AE_LINES
(
  AE_LINE_ID                    NUMBER(15),
  AE_HEADER_ID                  NUMBER(15),
  AE_LINE_NUMBER                NUMBER(15),
  AE_LINE_TYPE_CODE             VARCHAR2(30 BYTE),
  CODE_COMBINATION_ID           NUMBER(15),
  CURRENCY_CODE                 VARCHAR2(15 BYTE),
  CURRENCY_CONVERSION_TYPE      VARCHAR2(30 BYTE),
  CURRENCY_CONVERSION_DATE      DATE,
  CURRENCY_CONVERSION_RATE      NUMBER,
  ENTERED_DR                    NUMBER,
  ENTERED_CR                    NUMBER,
  ACCOUNTED_DR                  NUMBER,
  ACCOUNTED_CR                  NUMBER,
  SOURCE_TABLE                  VARCHAR2(30 BYTE),
  SOURCE_ID                     NUMBER(15),
  ACCOUNT_OVERLAY_SOURCE_ID     NUMBER(15),
  GL_SL_LINK_ID                 NUMBER(15),
  DESCRIPTION                   VARCHAR2(240 BYTE),
  ACCOUNTING_ERROR_CODE         VARCHAR2(30 BYTE),
  GL_TRANSFER_ERROR_CODE        VARCHAR2(30 BYTE),
  THIRD_PARTY_ID                NUMBER(15),
  THIRD_PARTY_SUB_ID            NUMBER(15),
  STAT_AMOUNT                   NUMBER,
  SUBLEDGER_DOC_SEQUENCE_ID     NUMBER(15),
  SUBLEDGER_DOC_SEQUENCE_VALUE  NUMBER(15),
  ORG_ID                        NUMBER(15),
  CREATION_DATE                 DATE,
  USSGL_TRANSACTION_CODE        VARCHAR2(30 BYTE),
  CREATED_BY                    NUMBER(15),
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER(15),
  LAST_UPDATE_LOGIN             NUMBER(15),
  PROGRAM_UPDATE_DATE           DATE,
  PROGRAM_APPLICATION_ID        NUMBER(15),
  PROGRAM_ID                    NUMBER(15),
  REQUEST_ID                    NUMBER(15),
  REFERENCE1                    VARCHAR2(240 BYTE),
  REFERENCE2                    VARCHAR2(240 BYTE),
  REFERENCE3                    VARCHAR2(240 BYTE),
  REFERENCE4                    VARCHAR2(240 BYTE),
  REFERENCE5                    VARCHAR2(240 BYTE),
  REFERENCE6                    VARCHAR2(240 BYTE),
  REFERENCE7                    VARCHAR2(240 BYTE),
  REFERENCE8                    VARCHAR2(240 BYTE),
  REFERENCE9                    VARCHAR2(240 BYTE),
  REFERENCE10                   VARCHAR2(240 BYTE),
  APPLIED_FROM_TRX_HDR_TABLE    VARCHAR2(30 BYTE),
  APPLIED_FROM_TRX_HDR_ID       NUMBER(15),
  APPLIED_TO_TRX_HDR_TABLE      VARCHAR2(30 BYTE),
  APPLIED_TO_TRX_HDR_ID         NUMBER(15),
  TAX_CODE_ID                   NUMBER(15),
  TAXABLE_ENTERED_DR            NUMBER,
  TAXABLE_ENTERED_CR            NUMBER,
  TAXABLE_ACCOUNTED_DR          NUMBER,
  TAXABLE_ACCOUNTED_CR          NUMBER,
  TAX_LINK_ID                   NUMBER(15),
  DUMMY                         CHAR(1),
  CCID_D                        VARCHAR2(100),
  POVENDOR_NAME                 VARCHAR2(240),
  POVENDORSITE_NAME             VARCHAR2(100),  
  ORG_NAME                      VARCHAR2(100),
  CREATED_BY_NAME               VARCHAR2(100),
  LAST_UPDATED_BY_NAME          VARCHAR2(100),
  INV_NUMBER                    VARCHAR2(100),
  SOB_SHORT_NAME                VARCHAR2(100)
);